%% Scambiatore di calore
clear all
close all
clc

k1=1;
T1=21.3;
delta1=14.7;

k2=1;
T2=25;
delta2=35;

deltaf=max((delta2-delta1),0)

sim('CompDisturbiMisurabili_02')

figure(1)
plot(y.Time,[y.Data y_comp.Data],'LineWidth',2),grid
xlabel('Tempo [sec]')
title('Uscita in presenza di disturbo. $\delta_2=35$.','Interpreter', 'latex')
legend('Senza filtro di compensazione','Con filtro di compensazione')

delta2=20;
deltaf=max((delta2-delta1),0)
sim('CompDisturbiMisurabili_02')

figure(2)
plot(y.Time,[y.Data y_comp.Data],'LineWidth',2),grid
xlabel('Tempo [sec]')
title('Uscita in presenza di disturbo. $\delta_2=20$.','Interpreter', 'latex')
legend('Senza filtro di compensazione','Con filtro di compensazione')

delta2=14;
deltaf=max((delta2-delta1),0)
sim('CompDisturbiMisurabili_02')

figure(3)
plot(y.Time,[y.Data y_comp.Data],'LineWidth',2),grid
xlabel('Tempo [sec]')
title('Uscita in presenza di disturbo. $\delta_2=14$.','Interpreter', 'latex')
legend('Senza filtro di compensazione','Con filtro di compensazione')

delta2=13;
deltaf=max((delta2-delta1),0)
sim('CompDisturbiMisurabili_02')

figure(4)
plot(y.Time,[y.Data y_comp.Data],'LineWidth',2),grid
xlabel('Tempo [sec]')
title('Uscita in presenza di disturbo. $\delta_2=13$.','Interpreter', 'latex')
legend('Senza filtro di compensazione','Con filtro di compensazione')


